<template>
  <div>
    <q-select
      v-model="column.config.type"
      stack-label="Type"
      inverted-light
      color="white"
      :options="availableTypes"
    />
    <q-input
      v-model="column.config.thousandDelimiter"
      stack-label="Thousand delimiter"
      inverted-light
      color="white"
      class="q-mt-sm"
    />
    <q-input
      v-if="column.config.type === 'float'"
      v-model="column.config.decimalDelimiter"
      stack-label="Decimal delimiter"
      inverted-light
      color="white"
      class="q-mt-sm"
    />
    <q-input
      v-if="column.config.type === 'float'"
      v-model="column.config.decimalLength"
      stack-label="Decimal length"
      inverted-light
      color="white"
      class="q-mt-sm"
    />
  </div>
</template>

<script>
  export default {
    name: 'numberColumn',
    props: {
      column: {
        type: Object,
      },
    },
    data() {
      return {
        availableTypes: ['integer', 'float'].map((value) => ({
          value,
          label: value,
        })),
      };
    },
  };
</script>
